Typedefs | Functions

# sha2384.h File Reference

Go to the source code of this file.

## Typedefs
typedef struct _SHA224Info | SHA224Info
## Functions
WizardExport SHA224Info * | AcquireSHA224Info (void)
WizardExport SHA224Info ** | DestroySHA224Info (SHA224Info *)
WizardExport const StringInfo * | GetSHA224Digest (const SHA224Info *)
WizardExport unsigned int | GetSHA224Blocksize (const SHA224Info *)
WizardExport unsigned int | GetSHA224Digestsize (const SHA224Info *)
WizardExport void | InitializeSHA224 (SHA224Info *)
WizardExport void | FinalizeSHA224 (SHA224Info *)
WizardExport void | UpdateSHA224 (SHA224Info *, const StringInfo *)

## Typedef Documentation

typedef struct _SHA224Info SHA224Info

## Function Documentation

WizardExport SHA224Info* AcquireSHA224Info | ( | void |  | ) |

WizardExport SHA224Info* * DestroySHA224Info | ( | SHA224Info * |  | ) |

References _SHA224Info::accumulator, DestroyStringInfo(), _SHA224Info::digest, GetWizardModule, LogWizardEvent(), _SHA224Info::message, RelinquishWizardMemory(), _SHA224Info::signature, TraceEvent, and WizardSignature.

Referenced by DestroyHashInfo().

WizardExport void FinalizeSHA224 | ( | SHA224Info * |  | ) |

WizardExport unsigned int GetSHA224Blocksize | ( | const SHA224Info * |  | ) |

WizardExport const StringInfo* GetSHA224Digest | ( | const SHA224Info * |  | ) |

References _SHA224Info::digest, GetWizardModule, HashDomain, LogWizardEvent(), _SHA224Info::signature, TraceEvent, WizardAssert, and WizardSignature.

Referenced by FinalizeHash().

WizardExport unsigned int GetSHA224Digestsize | ( | const SHA224Info * |  | ) |

References CipherDomain, _SHA224Info::digestsize, GetWizardModule, LogWizardEvent(), _SHA224Info::signature, TraceEvent, WizardAssert, and WizardSignature.

Referenced by AcquireHashInfo(), and GetHashDigestsize().

WizardExport void InitializeSHA224 | ( | SHA224Info * |  | ) |

WizardExport void UpdateSHA224 | ( | SHA224Info * | ,
|  | const StringInfo * |  |
| ) |  |  |

References CopyWizardMemory(), GetStringInfoDatum(), GetStringInfoLength(), _SHA224Info::high_order, _SHA224Info::low_order, _SHA224Info::message, _SHA224Info::offset, SetStringInfoDatum(), _SHA224Info::signature, TransformSHA224(), Trunc32(), and WizardSignature.

Referenced by UpdateHash().